undefined method variable "subscription_manager_configuration_url"
07/29/2014 05:25 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hosts
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1104133 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/442
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1104133
Description of problem:
When | try to create a EC2 guests using Sat6, | get this error in production.log and guest is not registered.

Prepare post installation script for ggg.test.example.com task failed with the following error: undefined method
“subscription_manager_configuration_url' for
#<Host::Managed:0x007f065c9f1d98>/opt/rh/ruby193/root/usr/share/gems/gems/activemodel-3.2.8/lib/active_model/attribute_metho
ds.rb:407:in 'method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods.rb:149:in "'method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/safemode-1.2.0/lib/safemode/scope.rb:37:in “method_missing'

<< the complete traceback is in the attachment >>

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140528.4

How reproducible:
100%

Steps to Reproduce:
1. We have got Sat6 with EC2 compute resource.
2. We have got this line in our finish template

<%= snippets "subscription_manager_registration" %>

3. We can try create new host, but registration fails with the traceback in log.
Snippet "subscription_manager_registration" contains this row.
rpm -ivh <%= subscription_manager_configuration_url %>
One thing is interesting, When we open a detail of guest ("Hosts" > "All hosts" > our new guest > "Templates" > our finish template >
"Review"), the expansion of the variable "subscription_manager_configuration_url" is correct

rpm -ivh http:/sat.eu-west-1.compute.internal/pub/katello-ca-consumer-latest.noarch.rpm

When We replace the variable "subscription_manager_configuration_url" with link
"http://sat.eu-west-1.compute.internal/pub/katello-ca-consumer-latest.noarch.rpm" in the snippet, the registration ends fine.

Actual results:
Traceback, system is not registered.
Expected results:
System is registered.

Additional info:

History

#1 - 07/29/2014 05:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4498 added
- Pull request deleted ()

#2 - 07/30/2014 08:20 AM - dustin tsang

- Status changed from Ready For Testing to Closed

- Pull request https://github.com/Katello/katello/pull/4428 added

- Pull request deleted (https://github.com/Katello/katello/pull/4498)

fix already present in upstream.
closing and updating pull request to https:/github.com/Katello/katello/pull/4428

#3 - 08/01/2014 08:06 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
